include<luniebox-helper.scad>

module luniebox_back() {
  difference() {
      union() {
          cube([length+depth,height+depth,depth]);
          // screws RFID MC522
          translate([length/2-22,height*0.6-13.5,depth])
          screw();
          translate([length/2-22,height*0.6+13.5,depth])
          screw();
          translate([length/2+16.5,height*0.6-18,depth])
          screw();
          translate([length/2+16.5,height*0.6+18,depth])
          screw();
          // clips
          translate([clip_space,0,0])
          clip_screw();
          translate([clip_space,height-clip_h+depth,0])
          clip_screw();
          translate([clip_length_space,height-clip_h+depth,0])
          clip_screw();
          translate([clip_length_space,0,0])
          clip_screw();
          translate([clip_h,clip_space,0])
          rotate([0,0,90])
          clip_screw();
          translate([clip_h,clip_height_space,0])
          rotate([0,0,90])
          clip_screw();
          translate([length+depth,clip_space,0])
          rotate([0,0,90])
          clip_screw();
          translate([length+depth,clip_height_space,0])
          rotate([0,0,90])
          clip_screw();
      }
      // USB port hole
      translate([54+depth,14+depth,0])
      rounded_cube(s=[10,6,depth],r=1.5);
      translate([38,20+depth,-render_limiter])
      cube([10,1.5,depth+render_limiter*2]);
  }
}

luniebox_back();


