include<luniebox-helper.scad>

module luniebox_bottom() {
  difference() {
      union() {
          cube([length+depth,width+depth,depth]);
          // clips
          translate([6,clip_space,0])
          rotate([0,0,90])
          clip_screw();
          translate([6,clip_width_space,0])
          rotate([0,0,90])
          clip_screw();
          translate([length+depth,clip_space,0])
          rotate([0,0,90])
          clip_screw();
          translate([length+depth,clip_width_space,0])
          rotate([0,0,90])
          clip_screw();  
          // screws Raspi Zero
          translate([length-10,5+depth,depth])
          screw();
          translate([length-68,5+depth,depth])
          screw();
          translate([length-10,28+depth,depth])
          screw();
          translate([length-68,28+depth,depth])
          screw();
          // screws MCP
          translate([length/2-7.5,width/2-7+depth,depth])
          screw();
          translate([length/2+7.5,width/2-7+depth,depth])
          screw();
      }
      // clip holes
      translate([clip_space,depth+clip_d/2,0])
      clip_hole();
      translate([clip_length_space,depth+clip_d/2,0])
      clip_hole();
      translate([clip_space,width-clip_d/2,0])
      clip_hole();
      translate([clip_length_space,width-clip_d/2,0])
      clip_hole();
  }
}

luniebox_bottom();

