include<luniebox-helper.scad>

module luniebox_back() {
  difference() {
      union() {
          cube([length+depth,height+depth,depth]);
          // clips
          translate([clip_space,0,0])
          clip_screw();
          translate([clip_space,height-clip_h+depth,0])
          clip_screw();
          translate([clip_length_space,height-clip_h+depth,0])
          clip_screw();
          translate([clip_length_space,0,0])
          clip_screw();
          translate([clip_h,clip_space,0])
          rotate([0,0,90])
          clip_screw();
          translate([clip_h,clip_height_space,0])
          rotate([0,0,90])
          clip_screw();
          translate([length+depth,clip_space,0])
          rotate([0,0,90])
          clip_screw();
          translate([length+depth,clip_height_space,0])
          rotate([0,0,90])
          clip_screw();
      }
      // UPS hat hole
      translate([length-12-50,18,-render_limiter])
      cube([45,6,depth+render_limiter*2]);
      // light holes
      translate([20,21,-render_limiter])
      screw_hole(depth);
      translate([30,21,-render_limiter])
      screw_hole(depth);
  }
}

luniebox_back();


