include<luniebox-helper.scad>

module luniebox_bottom() {
  difference() {
      union() {
          cube([length+depth,width+depth,depth]);
          // clips
          translate([6,clip_space,0])
          rotate([0,0,90])
          clip_screw();
          translate([6,clip_width_space,0])
          rotate([0,0,90])
          clip_screw();
          translate([length+depth,clip_space,0])
          rotate([0,0,90])
          clip_screw();
          translate([length+depth,clip_width_space,0])
          rotate([0,0,90])
          clip_screw();  
          // screws Raspi Zero
          translate([15,40+depth,depth])
          screw();
          translate([73,40+depth,depth])
          screw();
          translate([15,63+depth,depth])
          screw();
          translate([73,63+depth,depth])
          screw();
          // screws UPS HAT
          translate([15,5+depth,depth])
          screw(h=24);
          translate([74,5+depth,depth])
          screw(h=24);
          // screws MCP
          translate([length/2-7.5,width/2+35-7+depth,depth])
          screw();
          translate([length/2+7.5,width/2+35-7+depth,depth])
          screw();
      }
      // clip holes
      translate([clip_space,depth+clip_d/2,0])
      clip_hole();
      translate([clip_length_space,depth+clip_d/2,0])
      clip_hole();
      translate([clip_space,width-clip_d/2 - front_offset,0])
      clip_hole();
      translate([clip_length_space,width-clip_d/2 - front_offset,0])
      clip_hole();
  }
}

luniebox_bottom();

