include<luniebox-helper.scad>

module luniebox_top() {
  difference() {
      union() {
          cube([length+depth,width+depth,depth]);
          // screws RFID MC522
          translate([length/2-22,height*0.55-13.5,depth])
          screw();
          translate([length/2-22,height*0.55+13.5,depth])
          screw();
          translate([length/2+16.5,height*0.55-18,depth])
          screw();
          translate([length/2+16.5,height*0.55+18,depth])
          screw();
          // clips
          translate([clip_h,clip_space,0])
          rotate([0,0,90])
          clip_screw();
          translate([clip_h,clip_width_space,0])
          rotate([0,0,90])
          clip_screw();
          translate([length+depth,clip_space,0])
          rotate([0,0,90])
          clip_screw();
          translate([length+depth,clip_width_space,0])
          rotate([0,0,90])
          clip_screw();
      }
      // clip holes
      translate([clip_space,depth+clip_d/2+front_offset,0])
      clip_hole();
      translate([clip_length_space,depth+clip_d/2+front_offset,0])
      clip_hole();
      translate([clip_space,width-clip_d/2,0])
      clip_hole();
      translate([clip_length_space,width-clip_d/2,0])
      clip_hole();
      // right btn hole
      translate([length/2-10+depth,(width+depth)/6+front_offset,-depth/2])
      cylinder(d=3,h=depth*2);
      // left button hole
      translate([length/2+10+depth,(width+depth)/6+front_offset,-depth/2])
      cylinder(d=3,h=depth*2);
  }
}

luniebox_top();